package cz.moneta.test.dsl.mwf;

import cz.moneta.test.harness.support.mwf.Parameter;
import cz.moneta.test.harness.support.mwf.MwfRequest;

public interface MWF664 extends MwfRequest<MWF664, MWF664Response> {

    @Parameter(name = "ACTION_USER_SSO")
    MWF664 actionUserSso(String actionUserSso);
    @Parameter(name = "APP_SOURCE_ID")
    MWF664 appSourceId(String appSourceId);
    @Parameter(name = "APP_SYSTEM_ID")
    MWF664 appSystemId(String appSystemId);
    @Parameter(name = "AP_CUSTOM_ID")
    MWF664 apCustomId(String apCustomId);
    @Parameter(name = "CHANNEL")
    MWF664 channel(String channel);
    @Parameter(name = "CLIENT_NAME")
    MWF664 clientName(String clientName);
    @Parameter(name = "DMS_DOCUMENT_ID")
    MWF664 dmsDocumentId(String dmsDocumentId);
    @Parameter(name = "DOC_SOURCE_ID")
    MWF664 docSourceId(String docSourceId);
    @Parameter(name = "DOC_SYSTEM_ID")
    MWF664 docSystemId(String docSystemId);
    @Parameter(name = "FAX_ID")
    MWF664 faxId(String faxId);
    @Parameter(name = "FAX_IMAGE_LINK")
    MWF664 faxImageLink(String faxImageLink);
    @Parameter(name = "FAX_INCOME_TIME")
    MWF664 faxIncomeTime(java.util.Date faxIncomeTime);
    @Parameter(name = "INST_CUST_ID_1")
    MWF664 instCustId1(Long instCustId1);
    @Parameter(name = "INST_CUST_ID_2")
    MWF664 instCustId2(Long instCustId2);
    @Parameter(name = "INST_CUST_ID_3")
    MWF664 instCustId3(Long instCustId3);
    @Parameter(name = "POS_ID")
    MWF664 posId(String posId);
    @Parameter(name = "PRIORITY")
    MWF664 priority(Double priority);
    @Parameter(name = "QUEUE_TYPE")
    MWF664 queueType(Long queueType);
    @Parameter(name = "RC")
    MWF664 rc(String rc);
    @Parameter(name = "SIGNED_FLAG")
    MWF664 signedFlag(String signedFlag);
    @Parameter(name = "TASK_KEY")
    MWF664 taskKey(Long taskKey);
}
